=== debian/rules ===
--- 
+++ 
@@ -135,7 +135,8 @@
 dpkg_LDFLAGS  := $(shell $(dbmo) dpkg-buildflags --get LDFLAGS)
 
 make_args_common := \
-	XEN_COMPILE_ARCH=$(xen_arch_$(DEB_BUILD_ARCH))
+	XEN_COMPILE_ARCH=$(xen_arch_$(DEB_BUILD_ARCH)) \
+	V=1
 
 make_args_xen := $(make_args_common) \
 	XEN_TARGET_ARCH=$(xen_arch_$(flavour))
@@ -216,4 +217,3 @@
 # to a minimum, because when working it is easier to rerun the
 # later parts of the build than the whole of the two upstream make installs.
 # However, there are three sets of fixes we must make:
-override_dh_auto_install: $(TEMPLATED_FILES)
