## xen 4.14.1

=== debian/changelog ===
xen (4.14.1-5+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 08 Jun 2021 21:16:15 +0200

xen (4.14.1-5) unstable; urgency=medium

  * Apply XSA-373, XSA-375, XSA-377

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 Jun 2021 21:16:15 +0200

xen (4.14.1-4) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Apply HPET patches to handle both Intel and AMD systems

  [ Dmitry Fedorov ]
  * winusb: Apply a user defined max_maptrack_frames value to dm_config
    in the same way as for max_grant_frames
  * winusb: update patch to xen-4.14.1

  [ Demi Marie Obenour ]
  * Switch from wget to curl

  [ Marek Marczykowski-Górecki ]
  * makefile: handle CentOS 8 Stream

  [ Nedyalko Andreev ]
  * Add a patch with gcc11 fixes

  [ Marek Marczykowski-Górecki ]
  * Fix build on CentOS Stream 8

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Jun 2021 04:54:50 +0200

xen (4.14.1-3) unstable; urgency=medium

  * Backport guest resume fix (libxl)
  * Backport HPET fix for recent Intel systems

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 20 Feb 2021 17:10:14 +0100

xen (4.14.1-2) unstable; urgency=medium

  * Add a patch for conditional IOMMU-less passthrough on PV domain

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jan 2021 13:25:01 +0100

xen (4.14.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Cleanup parent xenstore dir after device remove
  * archlinux: use autoreconf --install

  [ icequbes1 ]
  * archlinux: fix autoreconf fail on autoconf 2.70

  [ Trammell hudson ]
  * unified-xen: backport unified EFI loader from xen-staging

  [ Demi Marie Obenour ]
  * Mass replace: ‘/var/run’ → ‘/run’

  [ Marek Marczykowski-Górecki ]
  * Drop patches already applied in 4.14.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Jan 2021 21:09:48 +0100

xen (4.14.0-9) unstable; urgency=medium

  * Apply XSA-115 and XSA-325 fixes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 15 Dec 2020 13:25:53 +0100

xen (4.14.0-8) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Refactor Makefile
  * Add patches for improving reproducibility
  * Disable pvshim
  * spec: fix indentations for make docs
  * Reenable build id as it's computed on reproducible content
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * Apply XSA-355 patch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 24 Nov 2020 13:25:18 +0100
